Skip to Content
veriom

List repository connections

GET
/v1/workspaces/{workspace_id}/repository-connections

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/repository-connections'
Example Response
[  {    "account": "string",    "active": true,    "base_url": "string",    "created_at": "2019-08-24T14:15:22Z",    "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",    "credential_kind": "api_token",    "has_credential": true,    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "last_error_code": "string",    "last_synced_at": "2019-08-24T14:15:22Z",    "name": "string",    "provider": "gitlab",    "repository_count": 0,    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"  }]